package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;

/**
 * @author yangcan
 * 类描述:小孩资料
 * 创建时间:2018年8月3日 上午11:14:19

 */
public class ChildV2Dto implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String imgUrl;//小孩头像
	private String childName;//小孩姓名
	private String sex;//小孩性别（1男2女）
	private String parentName;//家长姓名
	private String phone;//联系方式
	private String courseName;//授课科目
	private String grade;//年级
	private String school;//就读学校
	private String family;//家庭住址
	private String studyPlan;//学习计划
	private String derver;//小孩绑定设备号
	private String qrCodeImg;//小孩二维码信息
	private int isZybService; //作业吧服务 0:无 1:有
	private String vipId; //会员Id
	private String parentRole; //家长角色名称
	private int isMain; //是否是主账号孩子 0:副账号孩子(别人分享的孩子) 1:主账号孩子
	private String libId;//绑定馆id
	private String leagueName;//绑定馆名称（返回””则是未绑定）
	private int schoolState;//1-校区无关联学校 2-校区有关联学校 仅对于返回的libId而言

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getLeagueName() {
		return leagueName;
	}

	public void setLeagueName(String leagueName) {
		this.leagueName = leagueName;
	}

	/**
	 * 通讯服务结束时间
	 */
	private long commuEndDate;
    private int hasBook;
	/**
	 * 作业吧服务结束时间
	 */
	private long zybEndDate;
	/**
	 * 小塾类型（1：正常使用，2：试用，3：永久使用）
	 */
	private int derverType;
	/**
	 * 小孩类型（1：内部测试用户，可永久使用服务）
	 */
	private int childType;

	public int getChildType() {
		return childType;
	}

	public void setChildType(int childType) {
		this.childType = childType;
	}

	public int getDerverType() {
		return derverType;
	}

	public void setDerverType(int derverType) {
		this.derverType = derverType;
	}

	public long getZybEndDate() {
		return zybEndDate;
	}

	public void setZybEndDate(long zybEndDate) {
		this.zybEndDate = zybEndDate;
	}

	public long getCommuEndDate() {
		return commuEndDate;
	}

	public void setCommuEndDate(long commuEndDate) {
		this.commuEndDate = commuEndDate;
	}

	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getParentName() {
		return parentName;
	}
	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSchool() {
		return school;
	}
	public void setSchool(String school) {
		this.school = school;
	}
	public String getFamily() {
		return family;
	}
	public void setFamily(String family) {
		this.family = family;
	}
	public String getStudyPlan() {
		return studyPlan;
	}
	public void setStudyPlan(String studyPlan) {
		this.studyPlan = studyPlan;
	}
	public String getDerver() {
		return derver;
	}
	public void setDerver(String derver) {
		this.derver = derver;
	}
	public String getQrCodeImg() {
		return qrCodeImg;
	}
	public void setQrCodeImg(String qrCodeImg) {
		this.qrCodeImg = qrCodeImg;
	}
	public int getIsZybService() {
		return isZybService;
	}
	public void setIsZybService(int isZybService) {
		this.isZybService = isZybService;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getParentRole() {
		return parentRole;
	}
	public void setParentRole(String parentRole) {
		this.parentRole = parentRole;
	}
	public int getIsMain() {
		return isMain;
	}
	public void setIsMain(int isMain) {
		this.isMain = isMain;
	}

	public int getHasBook() {
		return hasBook;
	}

	public void setHasBook(int hasBook) {
		this.hasBook = hasBook;
	}

	public int getSchoolState() {
		return schoolState;
	}

	public void setSchoolState(int schoolState) {
		this.schoolState = schoolState;
	}
}